FROM --platform=$TARGETPLATFORM golang:1.20 AS builder
ARG TARGETPLATFORM
ARG BUILDPLATFORM
WORKDIR /go/src/git.faercol.me/polyculeconnect
COPY polyculeconnect ./
RUN make build

# Replace with from scratch later on
FROM --platform=$TARGETPLATFORM debian:latest
RUN apt-get update && \
    DEBIAN_FRONTEND=noninteractive apt-get -qq install ca-certificates
WORKDIR /root
COPY --from=builder go/src/git.faercol.me/polyculeconnect/build/polyculeconnect ./
ADD polyculeconnect/robots.txt /root/
ADD polyculeconnect/static /root/static/
ADD polyculeconnect/templates /root/templates/

VOLUME [ "/config" ]

ENTRYPOINT [ "./polyculeconnect" ]
CMD [ "serve", "--config", "/config/config.json" ]
